"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Color_1 = require("./Color");
const COLOR_PALETTE_LENGTH = 15;
class ColorPalette {
    constructor(acnlBytes) {
        this.colors = new Array(COLOR_PALETTE_LENGTH);
        for (let i = 0; i < COLOR_PALETTE_LENGTH; i++) {
            this.colors[i] = new Color_1.Color;
        }
        if (acnlBytes) {
            this.acnlBytes = acnlBytes;
        }
    }
    get acnlBytes() {
        return new Uint8Array(this.colors.map(c => c.acnlByte));
    }
    set acnlBytes(value) {
        if (value.length !== COLOR_PALETTE_LENGTH) {
            throw new Error('Invalid color palette length');
        }
        for (let i = 0; i < COLOR_PALETTE_LENGTH; i++) {
            this.colors[i].acnlByte = value[i];
        }
    }
}
exports.ColorPalette = ColorPalette;
